Attribute VB_Name = "Snoop"
'****************************************************************
'   FSConnect SDK v1.00
'   Copyright  2003 Russel Dirks.  All rights reserved.
'   Email : russdirks@yahoo.ca
'****************************************************************
Option Explicit

'****************************************************************
' This code demonstrates calls to the various memory functions
' To try this code out, place a breakpoint on the first line, open
' up the immediate window and type "? DemoMemoryFunctions"
'****************************************************************
Function DemoMemoryFunctions()
   Dim res, s As String, s2 As String
   Dim addr As Long
   
   'res = fscSearchMemAll(StrToHex("Baron 58"), "C:\_temp\Output.txt")
   
   'addr = &H12F912
   'addr = &H12F930
   
addr = &H11A6518
   res = fscMemRead(addr, 8, s)
   If res = 0 Then s = HexToStr(s)
   
   ' this reads 4 bytes from the specified address
   'addr = &H20940080
   'res = fscMemRead(addr, 4, s)
   'If res = 0 Then
   '   Debug.Print "Memory address 0x" & ToHex(addr, 8) & " contains 0x" & s
   'Else
   '   Debug.Print "Error " & res
   'End If
   
   ' this searches for the data we just read, in the specified address range
   ' which corresponds to global.dll
   res = fscSearchMemRange(&H20940000, &H20946FFF, s, s2)
   Debug.Print IIf(res = 0, "Found at " & ToHex(addr, 8), "Not Found " & res)
   
   ' this writes data to the specified (randomly picked!) address
   ' don't have a clue what this would do
   'addr = &H20943580
   'res = fscMemWrite(addr, "11223344")
   'Debug.Print IIf(res = 0, "Write successful", "Error " & res)
   
   ' This searches the entire Flight Simulator address space for the specified
   ' data.  Search results go to "C:\_temp\Output.txt".  Make sure the folder
   ' exists.  Wouldn't recommend using this to search for a 1 byte value!!!
   ' This takes about 8 seconds on my PIII-600
   'res = fscSearchMemAll("11223344", "C:\_temp\Output.txt")
   Debug.Print IIf(res = 0, "Search completed", "Error " & res)
   
End Function


